Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class ProxyDate

    java.lang.Object
      |
      +--java.util.Date
            |
            +--kodo.util.ProxyDate

All Implemented Interfaces:
  Cloneable, Comparable, Proxy, Serializable

public class ProxyDate
extends Date
implements Proxy

Extension of the `Date` type that calls the `PersistenceCapable.jdoMakeDirty(java.lang.String)` method on its owning persistence capable instance on modification. This class does not support modification via any deprecated method of the date class.

See Also:
  Serialized Form

Constructor Summary
`ProxyDate()`
`ProxyDate(long time)`

Method Summary
`Object` | `copy(Object orig)` Return an unproxied copy of the given instance.
`ChangeTracker` | `getChangeTracker()` Return the change tracker for this proxy, or null if none.
`KodoStateManager` | `getOwner()` Return the owning object.
`int` | `getOwnerField()` Return the owning field index.
`void` | `setDate(int val)`
`void` | `setHours(int val)`
`void` | `setMinutes(int val)`
`void` | `setMonth(int val)`
`void` | `setOwner(KodoStateManager sm, int field)` Reset the state of the proxy, and set the owning JDO instance of the proxy and the name of the field it is assigned to.
`void` | `setSeconds(int val)`
`void` | `setTime(long millis)`
`void` | `setYear(int val)`
`protected Object` | `writeReplace()`

Methods inherited from class java.util.Date
`after, before, clone, compareTo, compareTo, equals, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, toGMTString, toLocaleString, toString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProxyDate

    public ProxyDate()

### ProxyDate

    public ProxyDate(long time)

Method Detail

### setOwner

    public void setOwner(KodoStateManager sm,
                         int field)

  Description copied from interface: `Proxy`
  Reset the state of the proxy, and set the owning JDO instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.
  Specified by:
    `setOwner` in interface `Proxy`

### getOwner

    public KodoStateManager getOwner()

  Description copied from interface: `Proxy`
  Return the owning object.
  Specified by:
    `getOwner` in interface `Proxy`

### getOwnerField

    public int getOwnerField()

  Description copied from interface: `Proxy`
  Return the owning field index.
  Specified by:
    `getOwnerField` in interface `Proxy`

### getChangeTracker

    public ChangeTracker getChangeTracker()

  Description copied from interface: `Proxy`
  Return the change tracker for this proxy, or null if none.
  Specified by:
    `getChangeTracker` in interface `Proxy`

### copy

    public Object copy(Object orig)

  Description copied from interface: `Proxy`
  Return an unproxied copy of the given instance. This method is used by proxy managers to create backup values for use in rollback.
  Specified by:
    `copy` in interface `Proxy`

### setYear

    public void setYear(int val)

  Overrides:
    `setYear` in class `Date`

### setMonth

    public void setMonth(int val)

  Overrides:
    `setMonth` in class `Date`

### setDate

    public void setDate(int val)

  Overrides:
    `setDate` in class `Date`

### setHours

    public void setHours(int val)

  Overrides:
    `setHours` in class `Date`

### setMinutes

    public void setMinutes(int val)

  Overrides:
    `setMinutes` in class `Date`

### setSeconds

    public void setSeconds(int val)

  Overrides:
    `setSeconds` in class `Date`

### setTime

    public void setTime(long millis)

  Overrides:
    `setTime` in class `Date`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.